/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { WebPaneDragActionDescription } from "./WebPaneDragActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebMoveFloatingPaneActionDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(WebMoveFloatingPaneActionDescription, _super);
    function WebMoveFloatingPaneActionDescription() {
        var _this = _super.call(this) || this;
        _this.o = null;
        _this.j = null;
        _this.i = null;
        return _this;
    }
    WebMoveFloatingPaneActionDescription.prototype.get_type = function () {
        return "WebMoveFloatingPaneAction";
    };
    Object.defineProperty(WebMoveFloatingPaneActionDescription.prototype, "actionType", {
        get: function () {
            return this.o;
        },
        set: function (a) {
            this.o = a;
            this.e("ActionType");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebMoveFloatingPaneActionDescription.prototype, "oldLocation", {
        get: function () {
            return this.j;
        },
        set: function (a) {
            this.j = a;
            this.e("OldLocation");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebMoveFloatingPaneActionDescription.prototype, "newLocation", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.e("NewLocation");
        },
        enumerable: true,
        configurable: true
    });
    WebMoveFloatingPaneActionDescription.$t = markType(WebMoveFloatingPaneActionDescription, 'WebMoveFloatingPaneActionDescription', WebPaneDragActionDescription.$);
    WebMoveFloatingPaneActionDescription.__marshalByValue1 = true;
    WebMoveFloatingPaneActionDescription.__marshalByValueAlias1 = "MoveFloatingPaneAction";
    return WebMoveFloatingPaneActionDescription;
}(WebPaneDragActionDescription));
export { WebMoveFloatingPaneActionDescription };
